Syncfusion AI Assistant

How can I help you?

Getting Started with React Inplace editor component

10 Feb 202624 minutes to read

This section explains the steps required to create a simple React In-place Editor component and demonstrate its basic usage in a React environment.

Ready to streamline your Syncfusion® React development? Discover the full potential of Syncfusion® React components with Syncfusion® AI Coding Assistant. Effortlessly integrate, configure, and enhance your projects with intelligent, context-aware code suggestions, streamlined setups, and real-time insights—all seamlessly integrated into your preferred AI-powered IDEs like VS Code, Cursor, Syncfusion® CodeStudio and more. Explore Syncfusion® AI Coding Assistant.

To get started quickly with React Inplace editor, you can watch this video:

Setup for local development

Easily set up a React application using create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

This command will prompt you for a few settings for the new project, such as selecting a framework and a variant.

Initial_setup

To set up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® In-place Editor packages

All the available Essential® JS 2 packages are published in the npmjs.com public registry.
To install the In-place Editor component, use the following command

npm install @syncfusion/ej2-react-inplace-editor --save

The –save will instruct NPM to include the In-place Editor package inside of the dependencies section of the package.json.

Adding CSS reference

The following CSS files are available in the ../node_modules/@syncfusion package folder. Add these as references in src/App.css.

@import '../node_modules/@syncfusion/ej2-base/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-calendars/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-richtexteditor/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css';
@import '../node_modules/@syncfusion/ej2-react-inplace-editor/styles/tailwind3.css';

To refer App.css in the application then import it in the src/App.tsx file.

Adding In-place Editor component

The React Inplace editor component can be added to the application by following these steps. To get started, add the In-place Editor component to the src/App.tsx file using the following code.

The following in-place editor code should be placed in the src/App.tsx file.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
import './App.css';

class App extends React.Component {
  public model = { placeholder: 'Enter employee name' };
  public render() {
    return (
    <InPlaceEditorComponent id='element' model={this.model} type='Text' value='Andrew'/>
    );
  }
}

export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
import './App.css';

function App () {
  const model = { placeholder: 'Enter employee name' };

    return (
    <InPlaceEditorComponent id='element' model={model} type='Text' value='Andrew'/>
    );
}

export default App;

Configuring DropDownList

You can render Essential® JS 2 React DropDownList by changing type property as DropDownList and configure its properties and methods using model property.

In the below sample, type and model values are configured to render the DropDownList component.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
import './App.css';

class App extends React.Component {
  public genderData = ['Male', 'Female'];
  public model = { placeholder: 'Select gender', dataSource: this.genderData };
  public render() {
    return (
     <InPlaceEditorComponent id='element' model={this.model} type='DropDownList' mode='Inline'/>
    );
  }
}

export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
import './App.css';

function App () {
  const genderData = ['Male', 'Female'];
  const model = { placeholder: 'Select gender', dataSource: genderData };

    return (
     <InPlaceEditorComponent id='element' model={model} type='DropDownList' mode='Inline'/>
    );
}

export default App;

Integrate DatePicker

You can render Essential® JS2 DatePicker by changing type property as Date and also configure its properties and methods using model property.

In the below sample, type and model values are configured to render the DatePicker component.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
import './App.css';

class App extends React.Component {
  public model = { showTodayButton: true };
  public value = new Date('04/12/2018');
  public render() {
    return (
     <InPlaceEditorComponent id='element' model={this.model} type='Date' value={this.value}/>
    );
  }
}

export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
import './App.css';

function App () {
  const model = { showTodayButton: true };
  const value = new Date('04/12/2018');

    return (
     <InPlaceEditorComponent id='element' model={model} type='Date' value={value}/>
    );

}
export default App;

Run the application

Run the npm run dev command in the terminal to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The output appears as follows.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
class App extends React.Component {
    genderData = ['Male', 'Female'];
    dateModel = { showTodayButton: true, placeholder: 'Select date of birth' };
    dateValue = new Date('04/12/2018');
    elementModel = { placeholder: 'Enter your name' };
    genderModel = { dataSource: this.genderData, placeholder: 'Select gender' };
    render() {
        return (<div id='container'>
      <div className="control-group">
           <div className="e-heading">
            <h3> Modify Basic Details </h3>
            </div>
            <table>
                <tr>
                    <td>Name</td>
                    <td className='left'>
                        <InPlaceEditorComponent id='element' mode='Inline' value='Andrew' model={this.elementModel}/>
                    </td>
                </tr>
                <tr>
                    <td>Date of Birth</td>
                    <td className='left'>
                        <InPlaceEditorComponent id='dateofbirth' type="Date" mode='Inline' value={this.dateValue} model={this.dateModel}/>
                    </td>
                </tr>
                <tr>
                    <td>Gender</td>
                    <td className='left'>
                        <InPlaceEditorComponent id='gender' type="DropDownList" mode='Inline' value='Male' model={this.genderModel}/>
                    </td>
                </tr>
            </table>
        </div>
        </div>);
    }
}
export default App;
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component {
  public genderData = ['Male', 'Female'];
  public dateModel = { showTodayButton: true, placeholder: 'Select date of birth' };
  public dateValue = new Date('04/12/2018');
  public elementModel = { placeholder: 'Enter your name' };
  public genderModel = {  dataSource: this.genderData, placeholder: 'Select gender' };
  public render() {
    return (
      <div id='container'>
      <div className="control-group">
           <div className="e-heading">
            <h3> Modify Basic Details </h3>
            </div>
            <table>
            <tbody>
                <tr>
                    <td>Name</td>
                    <td className='left'>
                        <InPlaceEditorComponent id='element' mode='Inline' value='Andrew' model={this.elementModel}/>
                    </td>
                </tr>
                <tr>
                    <td>Date of Birth</td>
                    <td className='left'>
                        <InPlaceEditorComponent id='dateofbirth' type="Date" mode='Inline' value={this.dateValue} model={this.dateModel}/>
                    </td>
                </tr>
                <tr>
                    <td>Gender</td>
                    <td className='left'>
                        <InPlaceEditorComponent id='gender' type="DropDownList" mode='Inline' value='Male' model={this.genderModel}/>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        </div>
    );
  }
}

export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
function App() {
    const genderData = ['Male', 'Female'];
    const dateModel = { showTodayButton: true, placeholder: 'Select date of birth' };
    const dateValue = new Date('04/12/2018');
    const elementModel = { placeholder: 'Enter your name' };
    const genderModel = { dataSource: genderData, placeholder: 'Select gender' };
    return (<div id='container'>
        <div className="control-group">
            <div className="e-heading">
              <h3> Modify Basic Details </h3>
              </div>
              <table>
                  <tr>
                      <td>Name</td>
                      <td className='left'>
                          <InPlaceEditorComponent id='element' mode='Inline' value='Andrew' model={elementModel}/>
                      </td>
                  </tr>
                  <tr>
                      <td>Date of Birth</td>
                      <td className='left'>
                          <InPlaceEditorComponent id='dateofbirth' type="Date" mode='Inline' value={dateValue} model={dateModel}/>
                      </td>
                  </tr>
                  <tr>
                      <td>Gender</td>
                      <td className='left'>
                          <InPlaceEditorComponent id='gender' type="DropDownList" mode='Inline' value='Male' model={genderModel}/>
                      </td>
                  </tr>
              </table>
          </div>
          </div>);
}
export default App;
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App () {
  const genderData = ['Male', 'Female'];
  const dateModel = { showTodayButton: true, placeholder: 'Select date of birth' };
  const dateValue = new Date('04/12/2018');
  const elementModel = { placeholder: 'Enter your name' };
  const genderModel = {  dataSource: genderData, placeholder: 'Select gender' };

    return (
        <div id='container'>
        <div className="control-group">
            <div className="e-heading">
              <h3> Modify Basic Details </h3>
              </div>
              <table>
                  <tr>
                      <td>Name</td>
                      <td className='left'>
                          <InPlaceEditorComponent id='element' mode='Inline' value='Andrew' model={elementModel}/>
                      </td>
                  </tr>
                  <tr>
                      <td>Date of Birth</td>
                      <td className='left'>
                          <InPlaceEditorComponent id='dateofbirth' type="Date" mode='Inline' value={dateValue} model={dateModel}/>
                      </td>
                  </tr>
                  <tr>
                      <td>Gender</td>
                      <td className='left'>
                          <InPlaceEditorComponent id='gender' type="DropDownList" mode='Inline' value='Male' model={genderModel}/>
                      </td>
                  </tr>
              </table>
          </div>
          </div>
    );

}

export default App;

Submitting data to the server (save)

You can submit editor value to server by configuring the url, adaptor and primaryKey property.

Property Usage
url Gets the url for server submit action.
adaptor Specifies the adaptor type that are used by DataManager to communicate with DataSource.
primarykey Defines the unique primary key of editable field which can be used for saving data in data-base.

primaryKey property is mandatory. If it’s not set, edited data are not sent to the server.

Refresh with modified value

The edited data is submitted to the server and you can see the new values getting reflected in the In-place Editor.

[Class-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
class App extends React.Component {
    frameWorkList = ['Andrew Fuller', 'Janet Leverling', 'Laura Callahan', 'Margaret Hamilt', 'Michael Suyama', 'Nancy Davloio', 'Robert King'];
    model = { dataSource: this.frameWorkList, placeholder: 'Select employee', popupHeight: '200px' };
    url = "https://ej2services.syncfusion.com/development/web-services/api/Editor/UpdateData";
    actionSuccess(e) {
        const newEle = document.getElementById('newValue');
        const oldEle = document.getElementById('oldValue');
        oldEle.textContent = newEle.textContent;
        newEle.textContent = e.value;
    }
    render() {
        return (<div id='container'>
      <div className="control-group">
            Best Employee of the year: <InPlaceEditorComponent id='element' type="DropDownList" mode='Inline' value='Andrew Fuller' name='Employee' url={this.url} primaryKey="Employee" adaptor="UrlAdaptor" model={this.model} actionSuccess={this.actionSuccess}/>
       </div>
       <table style=margin>
           <tr>
              <td style=>
                 Old Value :
              </td>
              <td id="oldValue" style=/>
           </tr>
           <tr>
               <td style=>
                    New Value :
               </td>
               <td id="newValue" style=>
                    Andrew Fuller
               </td>
            </tr>
         </table>
   </div>);
    }
}
export default App;
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

class App extends React.Component<{}, {}> {
public frameWorkList = ['Andrew Fuller', 'Janet Leverling', 'Laura Callahan', 'Margaret Hamilt', 'Michael Suyama', 'Nancy Davloio', 'Robert King'];
public model = {  dataSource: this.frameWorkList, placeholder: 'Select employee', popupHeight: '200px' };
public url = "https://ej2services.syncfusion.com/development/web-services/api/Editor/UpdateData";

public actionSuccess(e: any) {
    const newEle = document.getElementById('newValue') as HTMLElement;
    const oldEle = document.getElementById('oldValue') as HTMLElement;
    oldEle.textContent = newEle.textContent;
    newEle.textContent = e.value;
}

public render() {
  return (
  <div id='container'>
      <div className="control-group">
            Best Employee of the year: <InPlaceEditorComponent id='element' type="DropDownList" mode='Inline' value='Andrew Fuller' name='Employee' url={this.url} primaryKey="Employee" adaptor="UrlAdaptor" model={this.model} actionSuccess={this.actionSuccess} />
       </div>
       <table style=margin>
       <tbody>
           <tr>
              <td style=>
                 Old Value :
              </td>
              <td id="oldValue" style=/>
           </tr>
           <tr>
               <td style=>
                    New Value :
               </td>
               <td id="newValue" style=>
                    Andrew Fuller
               </td>
            </tr>
            </tbody>
         </table>
   </div>
  );
}
}
export default App;

[Functional-component]

import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';
function App() {
    const frameWorkList = ['Andrew Fuller', 'Janet Leverling', 'Laura Callahan', 'Margaret Hamilt', 'Michael Suyama', 'Nancy Davloio', 'Robert King'];
    const model = { dataSource: frameWorkList, placeholder: 'Select employee', popupHeight: '200px' };
    const url = "https://ej2services.syncfusion.com/development/web-services/api/Editor/UpdateData";
    function actionSuccess(e) {
        const newEle = document.getElementById('newValue');
        const oldEle = document.getElementById('oldValue');
        oldEle.textContent = newEle.textContent;
        newEle.textContent = e.value;
    }
    return (<div id='container'>
        <div className="control-group">
              Best Employee of the year: <InPlaceEditorComponent id='element' type="DropDownList" mode='Inline' value='Andrew Fuller' name='Employee' url={url} primaryKey="Employee" adaptor="UrlAdaptor" model={model} actionSuccess={actionSuccess}/>
        </div>
        <table style=margin>
            <tr>
                <td style=>
                  Old Value :
                </td>
                <td id="oldValue" style=/>
            </tr>
            <tr>
                <td style=>
                      New Value :
                </td>
                <td id="newValue" style=>
                      Andrew Fuller
                </td>
              </tr>
          </table>
    </div>);
}
export default App;
import { InPlaceEditorComponent } from '@syncfusion/ej2-react-inplace-editor';
import * as React from 'react';

function App() {
  const frameWorkList : string[]= ['Andrew Fuller', 'Janet Leverling', 'Laura Callahan', 'Margaret Hamilt', 'Michael Suyama', 'Nancy Davloio', 'Robert King'];
  const model = {  dataSource: frameWorkList, placeholder: 'Select employee', popupHeight: '200px' };
  const url  = "https://ej2services.syncfusion.com/development/web-services/api/Editor/UpdateData";

function actionSuccess(e: any) {
    const newEle = document.getElementById('newValue') as HTMLElement;
    const oldEle = document.getElementById('oldValue') as HTMLElement;
    oldEle.textContent = newEle.textContent;
    newEle.textContent = e.value;
}

  return (
    <div id='container'>
        <div className="control-group">
              Best Employee of the year: <InPlaceEditorComponent id='element' type="DropDownList" mode='Inline' value='Andrew Fuller' name='Employee' url={url} primaryKey="Employee" adaptor="UrlAdaptor" model={model} actionSuccess={actionSuccess} />
        </div>
        <table style=margin>
            <tr>
                <td style=>
                  Old Value :
                </td>
                <td id="oldValue" style=/>
            </tr>
            <tr>
                <td style=>
                      New Value :
                </td>
                <td id="newValue" style=>
                      Andrew Fuller
                </td>
              </tr>
          </table>
    </div>
  );

}
export default App;

Refer to the React In-place Editor feature tour page for its groundbreaking feature representations. You can also explore our React In-place Editor component example that shows how to render the In-place Editor in React.

See Also

Getting Started with Angular In-place Editor

14 Aug 20265 minutes to read

The In-place Editor component allows users to edit values directly within the page without navigating to a separate form, providing a seamless and efficient editing experience. It supports both Inline and Pop-up editing modes to update data quickly and conveniently.

This guide provides step-by-step instructions for setting up an Angular project with TypeScript using Angular CLI, and integrating Syncfusion® Angular Inplace Editor component. The recommended setup below targets modern Angular (CLI ng add). For module-based or framework host setups, see See Also.

The Angular CLI simplifies creating, managing, and building Angular applications so you can start development quickly.

Prerequisites

  • Install a supported Node.js LTS release and npm (or another Node package manager) before continuing.
  • Ensure your environment meets the System Requirements for Syncfusion® Angular UI Components.
  • Supported Angular and Syncfusion package combinations are listed in the Version Compatibility guide. This walkthrough assumes Angular 17+ with the default application scaffolding (src/app/app.ts or the equivalent root component generated by your CLI version).

Setup the Angular application

A straightforward approach to beginning with Angular is to create a new application using the Angular CLI. Install Angular CLI globally with the following command:

npm install -g @angular/cli

Angular 21 Standalone Architecture: Standalone components are the default in Angular 21. This guide uses the modern standalone architecture. If you need more information about the standalone architecture, refer to the Standalone Guide.

Create a new application

With Angular CLI installed, execute this command to generate a new application:

ng new syncfusion-angular-app
  • This command will prompt you to configure settings like enabling Angular routing and choosing a stylesheet format.
? Which stylesheet format would you like to use? (Use arrow keys)
> CSS             [ https://developer.mozilla.org/docs/Web/CSS                     ]
  Sass (SCSS)     [ https://sass-lang.com/documentation/syntax#scss                ]
  Sass (Indented) [ https://sass-lang.com/documentation/syntax#the-indented-syntax ]
  Less            [ http://lesscss.org                                             ]
  • By default, a CSS-based application is created. Use SCSS if required:
ng new syncfusion-angular-app --style=scss
  • During project setup, when prompted for the Server-side rendering (SSR) option, choose the appropriate configuration.

Initial_setup

  • Select the required AI tool or ‘none’ if you do not need any AI tool.

Initial_setup

  • Navigate to your newly created application directory:
cd syncfusion-angular-app

Note: In Angular 19 and below, it uses app.component.ts, app.component.html, app.component.css etc. In Angular 20+, the CLI generates a simpler structure with src/app/app.ts, app.html, and app.css (no .component. suffixes).

Adding the Syncfusion® Angular Inplace Editor package

To install the Syncfusion® Angular Inplace Editor package, use the following command:

ng add @syncfusion/ej2-angular-inplace-editor

The ng add command installs the package, registers it in package.json, and configures the required entries in your workspace automatically.

If ng add is unavailable in your setup, install the package manually with:

npm install @syncfusion/ej2-angular-inplace-editor

Adding CSS reference

Themes for the Syncfusion® Inplace Editor component can be applied using CSS files provided through npm theme packages. For available themes, refer to the Themes documentation.

Install the Material 3 theme package using the following npm command:

npm install @syncfusion/ej2-material3-theme

Then add the following CSS reference to the src/styles.css file. This is the default global stylesheet registered under styles in angular.json:

@import "../node_modules/@syncfusion/ej2-material3-theme/styles/inplace-editor/index.css";

You can also refer to the combined CSS file for all Syncfusion components in your application. For more information, see the documentation on referring themes through npm packages.

Add Syncfusion® Inplace Editor component

After package and theme setup, update the root component. File name and class name can vary by Angular CLI version (src/app/app.ts with export class App, or app.component.ts with AppComponent). Replace the root component content with the sample below, or merge the Inplace Editor import, template, and data into your generated file.

For the full property list, see the Inplace Editor API reference.

import { InPlaceEditorAllModule } from '@syncfusion/ej2-angular-inplace-editor'
import { Component } from '@angular/core';

@Component({
    imports: [InPlaceEditorAllModule],
    selector: 'app-root',
    templateUrl: './app.html',
    styleUrl: './app.css',

})

export class App {
  public modelObj: Object = { placeholder: 'Enter employee name' };
}
<ejs-inplaceeditor id="element" type="Text" value="Andrew" [model]="modelObj"></ejs-inplaceeditor>

Running the application

From the project root:

ng serve

When the build succeeds, the CLI reports a local URL (default: http://localhost:4200). Open that URL in a browser to view the Inplace Editor. If the port is already in use, the CLI prompts for another port, or you can run ng serve --port 4201.

Stop the server with Ctrl+C in the terminal.

The following example illustrates the output in your browser.

See Also

Getting Started with Vue In-place Editor

21 Aug 20267 minutes to read

This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue In-Place Editor component.

To get started quickly with the Vue In-Place Editor, check this video:

Prerequisites

Requirement Version
Vue 2.6 or higher
Node.js 16.0.0 or above

Vue supported versions

Vue version Minimum Syncfusion Vue In-Place Editor version
Vue v2.7 20.3.47 and above

Browser support

Browser Supported versions
Chrome Latest
Firefox Latest
Opera Latest
Edge 13+
Internet Explorer (IE) 11+
Safari 9+
iOS Safari 9+
Android Browser / Chrome for Android 4.4+
Windows Mobile IE 11+

Note: Ensure that your development environment satisfies the required Vue, Node.js, and browser compatibility prerequisites before using Syncfusion® Vue UI components. For more information, see the System Requirements.

Setup the Vue 2 project

Easily set up a Vue 2 application using Vue CLI, which provides a reliable development environment, a streamlined project structure, and optimized builds compared to older setup tools. For detailed steps, refer to the Vue CLI installation instructions.

Note: To create a Vue 2 application using Vue CLI, refer to this documentation for more details.

To create a new Vue 2 application, run the following commands based on your preferred package manager:

npm install -g @vue/cli
vue create quickstart

or

yarn global add @vue/cli
vue create quickstart

During the setup process, the CLI will prompt you for a few configuration options. Select the following:

  • Which linter to use?Default ([Vue 2] babel, eslint)
  • Install with npm and start now?Yes

Selecting Yes automatically installs the project dependencies and starts the development server.

After verifying that the application starts successfully, terminate the development server in the terminal and proceed to the next step.

Navigate to the project directory:

cd quickstart

Adding Vue In-Place Editor package

To install the In-Place Editor package, use the following command:

npm install @syncfusion/ej2-vue-inplace-editor

or

yarn add @syncfusion/ej2-vue-inplace-editor

Adding CSS reference

Themes for Syncfusion® In-Place Editor component can be applied using CSS files provided through npm theme packages. For available themes, refer to the Themes documentation.

Install the Material 3 theme package using the following command:

npm install @syncfusion/ej2-material3-theme --save

Then add the following CSS reference to the src/App.vue file:

<style>
  @import "../node_modules/@syncfusion/ej2-material3-theme/styles/inplace-editor/index.css";
</style>

You can also refer to the combined CSS file for all Syncfusion components in your application. For more information, see the documentation on referring themes through npm packages.

Adding the In-Place Editor with TextBox

Now, you can add the Vue In-Place Editor component to your src/App.vue file by importing it and configuring the type property. The type property specifies the component integrated with the In-Place Editor for editing and is set to Text by default. When the type is Text, the In-Place Editor renders a TextBox component.

Use the following code:

<template>
  <div id="app">
    <div class="control-group">
      <h3>Modify Basic Details</h3>
      <ejs-inplaceeditor
        id="element"
        type="Text"
        mode="Inline"
        value="Andrew"
        :model="textModel"
      ></ejs-inplaceeditor>
    </div>
  </div>
</template>

<script setup>
  import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';

  const textModel = {
    placeholder: 'Enter your name'
  };
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-material3-theme/styles/inplace-editor/index.css";
</style>
<template>
  <div id="app">
    <div class="control-group">
      <h3>Modify Basic Details</h3>
      <ejs-inplaceeditor
        id="element"
        type="Text"
        mode="Inline"
        value="Andrew"
        :model="textModel"
      ></ejs-inplaceeditor>
    </div>
  </div>
</template>

<script>
  import { InPlaceEditorComponent } from '@syncfusion/ej2-vue-inplace-editor';
  
  export default {
    name: 'App',
    components: {
      'ejs-inplaceeditor': InPlaceEditorComponent,
    },
    data() {
      return {
        textModel: {
          placeholder: 'Enter your name',
        },
      };
    },
  };
</script>

<style>
  @import "../node_modules/@syncfusion/ej2-material3-theme/styles/inplace-editor/index.css";
</style>

You can further customize the In-Place Editor by using the model property, which specifies the model object configuration for the integrated components like AutoComplete, DatePicker,NumericTextBox.

Run the application

To run the application, use the following command:

npm run serve

or

yarn run serve

The output will appear as follows:

You can refer to our Vue In-Place Editor feature tour page for its groundbreaking feature representations. You can also explore our Vue In-Place Editor example that shows how to render the In-Place Editor in Vue.

See also